import axios, { AxiosInstance } from 'axios';
import { boot } from 'quasar/wrappers';
import config from '../config';
import { Store } from 'vuex';

declare module 'vue/types/vue' {
  interface Vue {
    $axios: AxiosInstance;
  }
}

export default boot<Store<any>>(({ Vue, store }) => {
  // eslint-disable-next-line @typescript-eslint/no-unsafe-member-access
  Vue.prototype.$axios = axios;
  axios.defaults.baseURL = config.baseURL;

  axios.interceptors.request.use(config => {
    const session: FG.Session = store.getters['user/session'];
    if (session) {
      config.headers = {'Authorization': 'Token ' + session.token};
    }
    return config;
  });
});

export { axios };
