import { RouteConfig } from 'vue-router';

const routes: RouteConfig[] = [
  {
    path: '/main',
    components: {
      default: () => import('layouts/MainLayout.vue')
    },
    children: [
      {
        path: 'plugin1',
        name: 'plugin1',
        meta: { permissions: ['user'] },
        components: {
          default: () => import('../pages/Plugin.vue'),
          'plugin-nav': () => import('../components/navigation/PluginLinks.vue')
        },
        children: [
          {
            path: 'plugin1_1',
            name: 'plugin1_1',
            meta: { permissions: ['user'] },
            component: () => import('../pages/NewPlugin.vue')
          },
          {
            path: 'plugin1_2',
            name: 'plugin1_2',
            meta: { permissions: ['user'] },
            component: () => import('../pages/OldPlugin.vue')
          }
        ]
      }
    ]
  }
];

export default routes;
