import { Plugin, PluginMainLink, ShortCutLink } from 'boot/plugins';
import routes from './routes';

const mainLink: PluginMainLink = {
  name: 'user-plugin',
  title: 'User',
  link: 'user',
  icon: 'mdi-account',
  children: [
    {
      name: 'user-plugin',
      title: 'Erstes Plugin für User',
      link: 'user-plugin1',
      icon: 'mdi-account-plus'
    },
    {
      name: 'user-plugin',
      title: 'Zweites Plugin für User',
      link: 'user-plugin2',
      icon: 'mdi-account-minus'
    }
  ]
};

const shortcuts: ShortCutLink[] = [
  {
    link: 'user-plugin2',
    icon: 'mdi-account-minus'
  }
];

const plugin: Plugin = {
  routes,
  mainLink,
  name: mainLink.name,
  requiredModules: ['user'],
  shortcuts,
  shortcutsOut: [],
  version: '0.1.0'
};

export { mainLink };
export default plugin;
