import { RouteConfig } from 'vue-router';

const routes: RouteConfig[] = [
  {
    path: '/main',
    components: {
      default: () => import('layouts/MainLayout.vue')
    },
    children: [
      {
        path: 'user',
        name: 'user',
        component: () => import('src/plugins/user/pages/User.vue'),
        children: [
          {
            path: 'user-plugin',
            name: 'user-plugin1',
            component: () => import('../pages/NewPlugin.vue')
          },
          {
            path: 'user-plugin2',
            name: 'user-plugin2',
            component: () => import('../pages/OldPlugin.vue')
          }
        ]
      }
    ]
  }
];

export default routes;
