import { Plugin, PluginMainLink } from 'boot/plugins';
import { Module } from 'vuex';
import userStore from './store/user';
import sessionsStore from './store/session';
import routes from './routes';
import { StateInterface } from 'src/store';

const mainLink: PluginMainLink = {
  name: 'user',
  title: 'loadFromStore("user/displayName")',
  link: 'user',
  icon: 'mdi-account',
  children: [
    {
      name: 'user',
      title: 'Einstellungen',
      link: 'user-settings',
      icon: 'mdi-cog'
    }
  ]
};

const plugin: Plugin = {
  routes,
  mainLink,
  name: mainLink.name,
  requiredModules: [],
  shortcutsOut: [],
  shortcuts: [],
  version: '0.0.1',
  store: new Map<string, Module<any, StateInterface>>([
    ['user', userStore],
    ['sessions', sessionsStore]
  ])
};

export { mainLink };

export default plugin;
