import { RouteConfig } from 'vue-router';

const routes: RouteConfig[] = [
  {
    path: '/main',
    component: () => import('layouts/MainLayout.vue'),
    children: [
      {
        path: 'user',
        name: 'user',
        component: () => import('../pages/User.vue'),
        meta: { permissions: ['user'] },
        children: [
          {
            path: 'settings',
            name: 'user-settings',
            meta: { permissions: ['user'] },
            component: () => import('../pages/Settings.vue')
          }
        ]
      }
    ]
  }
];

export default routes;
