import { route } from 'quasar/wrappers';
import VueRouter from 'vue-router';
import { Store } from 'vuex';
import routes from './routes';
import { StateInterface } from 'src/store';

/*
 * If not building with SSR mode, you can
 * directly export the Router instantiation
 */
export const Router: VueRouter = new VueRouter({
  scrollBehavior: () => ({ x: 0, y: 0 }),
  routes,

  // Leave these as is and change from quasar.conf.js instead!
  // quasar.conf.js -> build -> vueRouterMode
  // quasar.conf.js -> build -> publicPath
  mode: process.env.VUE_ROUTER_MODE,
  base: process.env.VUE_ROUTER_BASE
});

export default route<Store<StateInterface>>(function ({ Vue }) {
  Vue.use(VueRouter);

  return Router;
});
